@charset "utf-8";

.p-recruit-message {
  margin-top: 80px;
}

.p-recruit-message__flex {
  margin-top: 44px;
  display: flex;
  justify-content: end;
  align-items: center;
  gap: 20px;

  @media (width < 768px) {
    margin-top: 70px;
    flex-direction: column-reverse;
    align-items: start;
  }
}

.p-recruit-message__body {
  width: 44%;
  margin-top: 28px;
  position: relative;
  z-index: 1;

  @media (width < 768px) {
    margin-top: 0;
    width: 100%;
  }
}

.p-recruit-message__head {
  color: var(--color-blue);
  font-weight: 600;
  font-size: 28px;
  line-height: 1.6;
  letter-spacing: 0.05em;
}

.p-recruit-message__text {
  margin-top: 38px;
  max-width: 410px;
  display: flex;
  flex-direction: column;
  gap: 22px;

  @media (width < 768px) {
    margin-top: 20px;
    max-width: none;
  }
}

.p-recruit-message__img {
  width: 50%;
  position: relative;

  @media (width < 768px) {
    width: 80%;
    max-width: 268px;
    align-self: flex-end;
  }

  img {
    width: 100%;
    aspect-ratio: 580/475;
    object-fit: cover;
    border-radius: 5px;
  }
}

.p-recruit-message__img-text {
  position: absolute;
  right: 0.3em;
  top: -0.7em;
  color: #addbf8;
  font-family: var(--font-noto-sans);
  font-weight: 400;
  font-size: clamp(70px, 12.85vw, 155px);
  line-height: 1;
  letter-spacing: 0.01em;

  @media (width < 768px) {
    font-size: 70px;
  }
}

.p-ideal {
  margin-top: 100px;

  @media (width < 768px) {
    margin-top: 60px;
  }
}

.p-ideal__box {
  margin-top: 42px;
  background: #f8f8f8;
  border-radius: 5px;
  padding: 60px 20px 80px;

  @media (width < 768px) {
    padding: 30px 16px 40px;
  }
}

.p-ideal__head {
  text-align: center;
  font-weight: 600;
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 0.05em;

  @media (width < 768px) {
    font-size: 22px;
  }
}

.p-ideal__lists {
  margin: 46px auto 0;
  max-width: 1008px;
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px 40px;

  @media (width < 768px) {
    margin: 20px auto 0;
    gap: 20px 12px;
  }
}

.p-ideal-list {
  width: 100%;
  height: auto;
  min-height: 80px;
  background: #ffffff;
  border-radius: 5px;
  overflow: hidden;
  display: flex;
  align-items: center;
  gap: 24px;
  padding-right: 20px;
  align-items: stretch;

  @media (width < 768px) {
    gap: 8px;
    padding-right: 8px;
  }
}

.p-ideal-list__head {
  width: 38px;
  height: 100%;
  color: #ffffff;
  font-family: var(--font-noto-sans);
  font-size: 12px;
  writing-mode: vertical-rl;
  letter-spacing: 0.01em;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--color-d-blue);
  height: auto;

  @media (width < 768px) {
    width: 24px;
    font-size: 10px;
  }
}

.p-ideal-list__head.is-light {
  background: #4aadff;
}

.p-ideal-list__text {
  font-size: 18px;
  letter-spacing: 0.06em;
  flex-grow: 1;
  margin: auto;
  padding: 1em 0;

  @media (width < 768px) {
    font-size: 14px;
  }
}

.p-recruit {
  margin-top: 94px;
  margin-bottom: 152px;

  @media (width < 768px) {
    margin-top: 60px;
    margin-bottom: 100px;
  }
}

.p-recruit__table {
  margin-top: 42px;
}

.p-recruit__row {
  padding: 14px 0;
  min-height: 80px;
  display: flex;
  align-items: center;
  gap: 20px;
  border-bottom: 1px solid hsla(0, 0%, 60%, 0.3);
}

.p-recruit__row:first-of-type {
  border-top: 1px solid hsla(0, 0%, 60%, 0.3);
}

.p-recruit__t-head {
  min-width: 120px;
  flex-shrink: 0;
  color: var(--color-d-blue);
  font-weight: bold;

  @media (width < 768px) {
    min-width: 100px;
  }
}

.p-recruit__t-body {
  max-width: 984px;
  color: #464646;
}
